import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:permission_handler/permission_handler.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class NotificationSettingDialog extends StatefulWidget {
  @override
  _NotificationSettingDialogState createState() =>
      _NotificationSettingDialogState();
}

class _NotificationSettingDialogState extends State<NotificationSettingDialog> {
  @override
  Widget build(BuildContext context) {
    return _NotificationSettingDialogContainer();
  }
}

class _NotificationSettingDialogContainer extends StatefulWidget {
  @override
  _NotificationSettingDialogContainerState createState() =>
      _NotificationSettingDialogContainerState();
}

class _NotificationSettingDialogContainerState
    extends State<_NotificationSettingDialogContainer> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.transparent,
      body: Container(
        width: double.infinity,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Container(
              width: 280,
              // height: 382,
              decoration: BoxDecoration(
                color: Colors.white,
                borderRadius: BorderRadius.circular(10),
              ),
              child: Column(
                children: <Widget>[
                  ClipRRect(
                    borderRadius: BorderRadius.only(
                        topLeft: Radius.circular(10),
                        topRight: Radius.circular(10)),
                    child: CachedNetworkImage(
                      imageUrl:
                          'https://ss2.bdstatic.com/70cFvnSh_Q1YnxGkpoWK1HF6hhy/it/u=1456601714,1347673110&fm=26&gp=0.jpg',
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: Text(
                      '开启推送通知',
                      style: TextStyle(
                        fontSize: 16,
                        fontWeight: FontWeight.bold,
                        color: HexColor.fromHex('#F94400'),
                      ),
                    ),
                  ),
                  Padding(
                    padding:
                        const EdgeInsets.only(left: 8.0, right: 8.0, bottom: 4),
                    child: Text(
                      '接收服务提醒',
                      style: TextStyle(
                        fontSize: 13,
                        fontWeight: FontWeight.normal,
                        color: HexColor.fromHex('#F94400'),
                      ),
                    ),
                  ),
                  _createItem(),
                  _createItem(),
                  _createItem(),
                  GestureDetector(
                    onTap: () async {
                      // 检查并请求权限
                      PermissionStatus status =
                          await Permission.notification.request();
                      if (status == PermissionStatus.denied) {
                        await openAppSettings();
                      } else if (status != PermissionStatus.granted) {
                        status = await Permission.notification.request();
                      }
                      // if (status == PermissionStatus.denied) {
                      //   Fluttertoast.showToast(msg: '暂无权限');
                      //   return null;
                      // }
                      Navigator.pop(context);
                      return true;
                    },
                    child: Container(
                      margin: EdgeInsets.only(top: 10, bottom: 20),
                      width: 120,
                      height: 30,
                      decoration: BoxDecoration(
                        color: Colors.redAccent,
                        borderRadius: BorderRadius.circular(15),
                      ),
                    ),
                  )
                ],
              ),
            ),
            GestureDetector(
              child: Container(
                width: 30,
                height: 30,
                margin: EdgeInsets.only(top: 10),
                decoration: BoxDecoration(
                  color: Color(0x70606060),
                  borderRadius: BorderRadius.circular(15),
                ),
                child: Center(
                  child: Icon(
                    Icons.close,
                    color: Colors.white,
                  ),
                ),
              ),
              onTap: () {
                Navigator.pop(context);
              },
            )
          ],
        ),
      ),
    );
  }

  Widget _createItem() {
    return Padding(
      padding: EdgeInsets.only(left: 30, right: 30, top: 4, bottom: 4),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: <Widget>[
          Container(
            margin: EdgeInsets.only(right: 6, top: 2),
            width: 20,
            height: 20,
            color: Colors.redAccent,
          ),
          Expanded(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Text(
                  '补贴到账通知',
                  style: TextStyle(
                    fontSize: 14,
                    fontWeight: FontWeight.bold,
                    color: HexColor.fromHex('#333333'),
                  ),
                ),
                Text(
                  '定时为您推荐热门内容, 不再错过好货',
                  style: TextStyle(
                    fontSize: 11,
                    fontWeight: FontWeight.normal,
                    color: HexColor.fromHex('#999999'),
                  ),
                ),
              ],
            ),
          )
        ],
      ),
    );
  }
}
