import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class PolicyDialog extends StatefulWidget {
  @override
  _PolicyDialogState createState() => _PolicyDialogState();
}

class _PolicyDialogState extends State<PolicyDialog> {
  @override
  Widget build(BuildContext context) {
    return _PolicyDialogContainer();
  }
}

class _PolicyDialogContainer extends StatefulWidget {
  @override
  _PolicyDialogContainerState createState() => _PolicyDialogContainerState();
}

class _PolicyDialogContainerState extends State<_PolicyDialogContainer> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.transparent,
      body: Center(
        child: Container(
          padding: EdgeInsets.all(15),
          width: 290,
          height: 360,
          decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(13), color: Colors.white),
          child: Column(
            children: <Widget>[
              Text(
                '温馨提示',
                style: TextStyle(fontSize: 16, fontWeight: FontWeight.bold),
              ),
              Expanded(
                child: Padding(
                  padding: const EdgeInsets.only(top: 8.0, bottom: 8.0),
                  child: SingleChildScrollView(
                    child: _createText(),
                  ),
                ),
              ),
              Row(
                children: <Widget>[
                  Expanded(
                    child: GestureDetector(
                      onTap: () {
                        Navigator.pop(context, false);
                      },
                      child: Container(
                        height: 36,
                        color: Colors.redAccent,
                      ),
                    ),
                  ),
                  Container(
                    width: 30,
                  ),
                  Expanded(
                    child: GestureDetector(
                      onTap: () {
                        Navigator.pop(context, true);
                      },
                      child: Container(
                        height: 36,
                        color: Colors.redAccent,
                      ),
                    ),
                  )
                ],
              )
            ],
          ),
        ),
      ),
    );
  }

  Widget _createText() {
    return RichText(
      textAlign: TextAlign.left,
      text: TextSpan(
          text: '',
          style: TextStyle(
            height: 1.2,
            fontSize: 12,
            color: HexColor.fromHex('#555555'),
          ),
          children: [
            TextSpan(
              text: '亲爱的用户，感谢您对智莺生活的信任！\n\n我们根据最新的监管政策要求，我们更新了',
            ),
            TextSpan(
              text: '《用户协议》',
              recognizer: TapGestureRecognizer()
                ..onTap = () {
                  NativeUtil.openUrl(context, 'http://www.baidu.com');
                },
              style: TextStyle(
                color: HexColor.fromHex('#FF4242'),
              ),
            ),
            TextSpan(
              text: '和',
            ),
            TextSpan(
              text: '《隐私权政策》',
              style: TextStyle(
                color: HexColor.fromHex('#FF4242'),
              ),
              recognizer: TapGestureRecognizer()
                ..onTap = () {
                  NativeUtil.openUrl(context, 'http://www.baidu.com');
                },
            ),
            TextSpan(
              text:
                  '，请您在点击「同意」之前仔细阅读并充分理解。\n\n为了提供更好的服务，我们在特此说明：\n\n1.在您授权通过的情况下，我们将获取您的设备、位置等信息。您有权拒绝或取消授权；\n\n2.系统的安全保障措施，会严密的保护您的个人信息；\n\n3.未经您本人授权同意，我们不会从任何第三方处获取您的信息，也不会预期分享您的信息。',
            ),
          ]),
    );
  }
}
